# Uses of Class
org.eclipse.mat.snapshot.model.NamedReference

Packages that use NamedReference
Package
Description
org.eclipse.mat.inspections.collectionextract
Code for reading data from collections found in a snapshot.
org.eclipse.mat.parser.model
The implementation of key snapshot objects such as representing classes, arrays, and objects in the snapshot.
org.eclipse.mat.snapshot.model
Snapshot entities, for example class, instances, class loaders, fields, GC roots.

## Uses of NamedReference in org.eclipse.mat.inspections.collectionextract

Methods in org.eclipse.mat.inspections.collectionextract that return types with arguments of type NamedReference
Modifier and Type
Method
Description
`List<NamedReference>`
AbstractExtractedCollection.`getOutboundReferences()`
`List<NamedReference>`
IMapExtractor.EntryObject.`getOutboundReferences()`

## Uses of NamedReference in org.eclipse.mat.parser.model

Methods in org.eclipse.mat.parser.model that return types with arguments of type NamedReference
Modifier and Type
Method
Description
`List<NamedReference>`
ClassImpl.`getOutboundReferences()`
`List<NamedReference>`
InstanceImpl.`getOutboundReferences()`
`List<NamedReference>`
ObjectArrayImpl.`getOutboundReferences()`
`List<NamedReference>`
PrimitiveArrayImpl.`getOutboundReferences()`

## Uses of NamedReference in org.eclipse.mat.snapshot.model

Subclasses of NamedReference in org.eclipse.mat.snapshot.model
Modifier and Type
Class
Description
`class`
`PseudoReference`
Value of a field if it is a pseudo references.
`class`
`ThreadToLocalReference`
The class represents a references from a running thread object to objects which are local for this thread.
Methods in org.eclipse.mat.snapshot.model that return types with arguments of type NamedReference
Modifier and Type
Method
Description
`List<NamedReference>`
IObject.`getOutboundReferences()`
Get list of snapshot objects referenced from this snapshot object with the name of the field over which it was referenced.